ubuntu-location-service: com::ubuntu::location::service::Configuration Class Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Public Member Functions | Protected Member Functions | List of all members
com::ubuntu::location::service::Configuration Class Referenceabstract

`#include <configuration.h>`

Collaboration diagram for com::ubuntu::location::service::Configuration:

## Public Member Functions
virtual | ~Configuration ()=default
| Configuration (const Configuration &)=delete
Configuration & | operator= (const Configuration &)=delete
virtual std::shared_ptr< Engine > | the_engine (const std::set< Provider::Ptr > &provider_set, const ProviderSelectionPolicy::Ptr &provider_selection_policy)=0
virtual ProviderSelectionPolicy::Ptr | the_provider_selection_policy ()=0
virtual std::set< Provider::Ptr > | the_provider_set ()=0
virtual PermissionManager::Ptr | the_permission_manager ()=0

## Protected Member Functions
| Configuration ()=default

## Detailed Description

Definition at line 37 of file configuration.h.

## Constructor & Destructor Documentation

## ◆ ~Configuration()

virtual com::ubuntu::location::service::Configuration::~Configuration | ( |  | ) |
| virtualdefault

## ◆ Configuration() [1/2]

com::ubuntu::location::service::Configuration::Configuration | ( | const Configuration & |  | ) |
| delete

## ◆ Configuration() [2/2]

com::ubuntu::location::service::Configuration::Configuration | ( |  | ) |
| protecteddefault

## Member Function Documentation

## ◆ operator=()

Configuration& com::ubuntu::location::service::Configuration::operator= | ( | const Configuration & |  | ) |
| delete

## ◆ the_engine()

virtual std::shared_ptr<Engine> com::ubuntu::location::service::Configuration::the_engine | ( | const std::set< Provider::Ptr > & | provider_set,
|  | const ProviderSelectionPolicy::Ptr & | provider_selection_policy
| ) |  |
| pure virtual

## ◆ the_permission_manager()

virtual PermissionManager::Ptr com::ubuntu::location::service::Configuration::the_permission_manager | ( |  | ) |
| pure virtual

## ◆ the_provider_selection_policy()

virtual ProviderSelectionPolicy::Ptr com::ubuntu::location::service::Configuration::the_provider_selection_policy | ( |  | ) |
| pure virtual

## ◆ the_provider_set()

virtual std::set<Provider::Ptr> com::ubuntu::location::service::Configuration::the_provider_set | ( |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- /build/location-service-git/src/location-service/include/location_service/com/ubuntu/location/service/configuration.h